MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
sc::StateRecv Class Reference

StateRecv is a concrete specialization of MsgStateRecv that does the receive part of point to point communication in a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::StateRecv:
[legend]
Collaboration diagram for sc::StateRecv:
[legend]

## Public Member Functions
| StateRecv (const Ref< MessageGrp > &)
| Create a StateRecv given a MessageGrp.
void | source (int)
| Specify the source node.
Public Member Functions inherited from sc::MsgStateRecv
| MsgStateRecv (const Ref< MessageGrp > &)
| MsgStateRecv must be initialized with a MessageGrp.
int | version (const ClassDesc *)
| Returns the version of the ClassDesc. More...
int | get (const ClassDesc **)
| I only need to override get(ClassDesc**) but C++ will hide all of the other get's so I must override everything. More...
int | get (char &r, const char *key=0)
| These restore data saved with StateOut's put. members.
int | get (unsigned int &r, const char *key=0)
int | get (int &r, const char *key=0)
int | get (float &r, const char *key=0)
int | get (double &r, const char *key=0)
int | get (char *&)
| These restore data saved with StateOut's put. More...
int | get (unsigned int *&)
int | get (int *&)
int | get (float *&)
int | get (double *&)
Public Member Functions inherited from sc::MsgStateBufRecv
| MsgStateBufRecv (const Ref< MessageGrp > &)
| MsgStateBufRecv can be initialized with a MessageGrp.
| MsgStateBufRecv ()
| Use the default MessageGrp.
void | set_buffer_size (int)
| The buffer size of statein and stateout objects that communicate with each other must match. More...
Public Member Functions inherited from sc::StateIn
virtual void | get_header ()
| Read in the header information. More...
virtual int | getstring (char *&)
| This restores strings saved with StateOut::putstring.
virtual int | get (std::string &)
| This restores a std::string object.
virtual int | get (bool &r, const char *keyword=0)
virtual int | get_array_char (char *p, int size)
| These restore data saved with StateOut's put. More...
virtual int | get_array_uint (unsigned int *p, int size)
virtual int | get_array_int (int *p, int size)
virtual int | get_array_float (float *p, int size)
virtual int | get_array_double (double *p, int size)
template<class T >
int | get (typename std::vector< T > &v)
| Read an STL vector of data.
int | node_to_node () const
| True if this is a node to node save/restore. More...
virtual int | use_directory ()
| Returns true of this object uses a directory.
virtual int | tell ()
| Return the current position in the file.
virtual void | seek (int)
| Set the current position in the file. More...
virtual int | seekable ()
| Return non-zero if seek does anything sensible. More...
int | has_directory () const
virtual void | list_objects (std::ostream &=ExEnv::out0())
| List all the objects to the stream. More...
void | set_override (const Ref< KeyVal > &kv)
| Give this StateIn a KeyVal object that is used to override values. More...
const Ref< KeyVal > & | override () const
| Return the KeyVal used to override values. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions
void | next_buffer ()
| Specializations must implement next_buffer().

## Additional Inherited Members
Protected Attributes inherited from sc::MsgStateBufRecv
Ref< MessageGrp > | grp
int | nbuf
int | ibuf
int | bufsize
char * | buffer
char * | send_buffer
int | nheader
int * | nbuf_buffer

## Detailed Description

StateRecv is a concrete specialization of MsgStateRecv that does the receive part of point to point communication in a MessageGrp.

The documentation for this class was generated from the following file:

- mstate.h